<?php
/*
Plugin Name: Supporting Cast
Plugin URI: http://github.com/supportingcast
Description: Podcast Subscription and Membership Service
Version: 1.1.3
Author: Supporting Cast
Author URI: http://www.supportingcast.fm
License: GPLv2 or later
*/

namespace Supportingcast;

if ( ! defined( 'SUPPORTING_CAST_VERSION' ) )
	define('SUPPORTING_CAST_VERSION', '1.1.1');


if ( ! defined( 'SC_API_DOMAIN_BASE' ) )
	define('SC_API_DOMAIN_BASE', '.supportingcast.fm');

function enqueue()
{
	wp_enqueue_style(
		'sc-app-css',
		plugins_url( '', __FILE__ ) . '/css/app.css',
		array(),
		SUPPORTING_CAST_VERSION
	);
}

function add_query_vars_filter($vars)
{
	$vars[] = "podcast";

	return $vars;
}

function load()
{
	include 'src/Api.php';
	include 'src/ScPlans.php';
	include 'src/ScUser.php';
	include 'src/Sms.php';
	include 'src/WPUserInterpreter.php';
	include 'src/shortcodes/Template.php';
	include 'src/shortcodes/Content.php';
	include 'src/shortcodes/FeedList.php';
	include 'src/shortcodes/FeedDetail.php';
	include 'src/shortcodes/Error.php';
	include 'src/shortcodes/Scheme.php';
	include 'views/Admin.php';

	add_action('admin_enqueue_scripts', 'Supportingcast\enqueue');
	add_action('wp_enqueue_scripts', 'Supportingcast\enqueue');
	add_action('rest_api_init', ['Supportingcast\Sms', 'register_rest_routes']);
	add_action('delete_user', ['Supportingcast\ScUser', 'sc_deleted_user_handler']);
	add_shortcode('supportingcast', [new Shortcodes\Content(), 'handle']);
	add_shortcode('sc-scheme', [new Shortcodes\Scheme(), 'handle']);
	add_filter('query_vars', 'Supportingcast\add_query_vars_filter');
}

add_action('plugins_loaded', 'Supportingcast\load');

